com.icesoft.faces.facelets.component.selectiontree

## Class SelectionTreeNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - com.icesoft.faces.facelets.component.selectiontree.SelectionTreeNode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

      public class SelectionTreeNode
      extends javax.swing.tree.DefaultMutableTreeNode

  Represents the tree node for the a SelectionTree
  Author:
    philip.breau@icesoft.com
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

      `allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectionTreeNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkAllDescendents()` Set all SelectionTree descendant nodes to a checked state
    `void` | `checkboxClicked(javax.faces.event.ActionEvent event)` JSF actionListener for the node check event.
    `int` | `getCheckedChildrenCount()`
    `java.util.List` | `getChildren()`
    `int` | `getPartiallyCheckedChildrenCount()`
    `void` | `setPartiallySelectedIfCheckedDescendent()` Set this SelectionTree node to partially checked if there are any descendants with a checked state.
    `void` | `uncheckAllDescendents()` Set all SelectionTree descendant nodes to an unchecked state

    - ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

      `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectionTreeNode

          public SelectionTreeNode()

  - ### Method Detail

    - #### getChildren

          public java.util.List getChildren()

      Returns:
        A list of all child tree nodes of this node

    - #### getCheckedChildrenCount

          public int getCheckedChildrenCount()

      Returns:
        The count of child nodes having a TriStateCheckbox with a checked state

    - #### getPartiallyCheckedChildrenCount

          public int getPartiallyCheckedChildrenCount()

      Returns:
        The count of child nodes having a TriStateCheckbox with a checked state

    - #### checkboxClicked

          public void checkboxClicked(javax.faces.event.ActionEvent event)

      JSF actionListener for the node check event. This event will update the state of the associated TriStateCheckbox and also the states of all ascendent and descendant nodes.
      Parameters:
        `event` - The JSF event

    - #### setPartiallySelectedIfCheckedDescendent

          public void setPartiallySelectedIfCheckedDescendent()

      Set this SelectionTree node to partially checked if there are any descendants with a checked state.

    - #### checkAllDescendents

          public void checkAllDescendents()

      Set all SelectionTree descendant nodes to a checked state

    - #### uncheckAllDescendents

          public void uncheckAllDescendents()

      Set all SelectionTree descendant nodes to an unchecked state

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.